"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const YAML = require("yamljs");
const lodash_1 = require("lodash");
class Bootstrap {
    constructor(configPath, rule) {
        this.configPath = configPath;
        this.env = process.env.NODE_ENV || 'development';
        this.filename = `bootstrap-${this.env}.yml`;
        if (typeof rule === 'function') {
            this.filename = rule(this.env);
        }
        this.fullConfigPath = path.resolve(configPath, this.filename);
        this.configs = YAML.load(this.fullConfigPath);
    }
    getEnv() {
        return this.env;
    }
    getFilename() {
        return this.filename;
    }
    getConfigPath() {
        return this.configPath;
    }
    getFullConfigPath() {
        return this.fullConfigPath;
    }
    get(path, defaults) {
        return lodash_1.get(this.configs, path, defaults);
    }
}
exports.Bootstrap = Bootstrap;
